import Home from "../../portal/views/home/Home.vue";
import PaperStructure from "../views/PaperStructure.vue";
import InsertPaperStructure from "../views/InsertPaperStructure.vue";
import InsertPaperStructureInfo from "../views/InsertPaperStructureInfo.vue";
import BluePaperStructure from "../views/BluePaperStructure.vue";

export default [
  {
    path: "/questions", //首页
    meta: { auth: false },
    component: Home,
    children: [
      {
        path: "paper_structure/:isClear", //精确试卷结构列表
        component: PaperStructure
      },
      {
        path: "insert_paper_structure/:id", //精确试卷结构（新增/修改）
        component: InsertPaperStructure
      },
      {
        path: "insert_paper_structure_info/:id/:name/:detailId/:courseNo", //添加题型结构
        component: InsertPaperStructureInfo
      },
      {
        path: "blue_paper_structure/:isClear", //蓝图试卷结构列表
        component: BluePaperStructure
      }
    ]
  }
];
